---
title: kotlinx-coroutines
layout: api
---

# kotlinx.coroutines reference documentation

Library support for Kotlin coroutines. This reference is a companion to 
[Guide to kotlinx.coroutines by example](https://github.com/Kotlin/kotlinx.coroutines/blob/master/coroutines-guide.md).


## Modules

[kotlinx-coroutines-core](kotlinx-coroutines-core) | Core primitives to work with coroutines.
[kotlinx-coroutines-jdk8](kotlinx-coroutines-jdk8) | Additional libraries for JDK8 (or Android API level 24).
[kotlinx-coroutines-nio](kotlinx-coroutines-nio) | Extensions for asynchronous IO on JDK7+.
[kotlinx-coroutines-swing](kotlinx-coroutines-swing) | `Swing` context for Swing UI applications.
[kotlinx-coroutines-javafx](kotlinx-coroutines-javafx) | `JavaFx` context for JavaFX UI applications.
[kotlinx-coroutines-rx](kotlinx-coroutines-rx) | Utilities for [RxJava](https://github.com/ReactiveX/RxJava)
